View Issue Details

IDProjectCategoryView StatusLast Update
0015597ScribusGraphics / Image Framespublic2019-06-04 20:55
ReporterJLuc Assigned Tojghali  
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformLinuxOSUbuntu OS Version18.04
Product Version1.5.5.svn 
Target VersionFixed in Version1.5.5.svn 
Summary0015597: crash when inserting a glyph... in an image frame
DescriptionDouble clicking on an image frame enables to move the inside image... and enables to insert a glyph using the "Insert Glyph" palette.
Doing so creashes scribus.

Scribus should not allow to insert glyphs in image frames.
Steps To ReproduceCreate document
Create image frame
CTRL+I choose an image
Open "Insert Glyph" palette
Double click on image frame
Double click on one of the "Insert Glyph" palette glyphs
See : crash
Additional InformationGDB backtrace :
QPixmap::scaled: Pixmap is a null pixmap
pathForIcon: Unable to load icon /usr/share/scribus-trunk/icons/1_5_1/handc.png: File not found

Thread 1 "scribus-trunk" received signal SIGSEGV, Segmentation fault.
0x00005555562ead7c in CharSelect::slot_insertUserSpecialChar(QChar, QString) ()
(gdb) stack
Undefined command: "stack". Try "help".
(gdb) backtrace
#0 0x00005555562ead7c in CharSelect::slot_insertUserSpecialChar(QChar, QString) ()
0000001 0x0000555555bb1e5e in ?? ()
0000002 0x00007ffff26445b5 in QMetaObject::activate(QObject*, int, int, void**) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
0000003 0x0000555555bb2272 in CharSelect::insertUserSpecialChar(QChar, QString) ()
0000004 0x00005555562ea6b5 in CharSelect::userNewChar(unsigned int, QString) ()
0000005 0x0000555555bb1f05 in ?? ()
0000006 0x00007ffff26445b5 in QMetaObject::activate(QObject*, int, int, void**) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
0000007 0x0000555555b930e9 in CharTableView::selectChar(unsigned int, QString) ()
0000008 0x0000555555d00013 in CharTableView::viewDoubleClicked(QModelIndex const&)
    ()
0000009 0x0000555555b92e13 in ?? ()
0000010 0x00007ffff26445b5 in QMetaObject::activate(QObject*, int, int, void**) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
0000011 0x00007ffff35dabf5 in QAbstractItemView::doubleClicked(QModelIndex const&)
    () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
0000012 0x00007ffff35e6eaa in QAbstractItemView::mouseDoubleClickEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
0000013 0x00007ffff33d294f in QWidget::event(QEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
0000014 0x00007ffff34734be in QFrame::event(QEvent*) ()
---Type <return> to continue, or q <return> to quit---
  nu/libQt5Widgets.so.5
0000015 0x00007ffff35e6b3b in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
0000016 0x00007ffff261568c in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
0000017 0x00007ffff3393805 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
0000018 0x00007ffff339b64f in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
0000019 0x00007ffff26159a8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
0000020 0x00007ffff339a622 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
0000021 0x00007ffff33ed14b in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
0000022 0x00007ffff33ef7ba in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
0000023 0x00007ffff339382c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
0000024 0x00007ffff339b0f4 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
0000025 0x00007ffff26159a8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
0000026 0x00007ffff2bd76c0 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
0000027 0x00007ffff2bd8ff5 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
0000028 0x00007ffff2bb02eb in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
0000029 0x00007fffe4a841c0 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
0000030 0x00007fffef33a387 in g_main_context_dispatch () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000031 0x00007fffef33a5c0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000032 0x00007fffef33a64c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
0000033 0x00007ffff266e8ef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
0000034 0x00007ffff26139ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
0000035 0x00007ffff261ca84 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
0000036 0x0000555556775307 in mainApp(int, char**) ()
0000037 0x0000555556775261 in main ()
TagsNo tags attached.
PatchNo

Activities

jghali

2019-03-11 22:48

administrator   ~0045989

Unable to reproduce: at no point Scribus allows me to open glyph palette when executing the given steps to reproduce.

JLuc

2019-03-12 09:00

developer   ~0045990

In my case, Glyph palette is allready open before i create and edit the image frame. Glyph palette is greyed as inactive when the image frame is selected, and becomes active when i double click on the image frame so as to move its content.
Rq : my scribus 1.5.5 version seems to date april 2018.

jghali

2019-03-12 11:21

administrator   ~0045992

Oooops! With character palette already open, it was indeed possible to get it activated when entering image frame edit mode. This is now fixed.

PeterBenedek

2019-03-13 19:51

developer   ~0046002

Last edited: 2019-03-13 19:52

View 2 revisions

Tested in Linux Mint 19.1

This fault is not reproduce anymore. Works well.

Thanks Jean.

Issue History

Date Modified Username Field Change
2019-03-11 21:56 JLuc New Issue
2019-03-11 21:58 JLuc Description Updated View Revisions
2019-03-11 22:48 jghali Note Added: 0045989
2019-03-12 09:00 JLuc Note Added: 0045990
2019-03-12 11:21 jghali Assigned To => jghali
2019-03-12 11:21 jghali Status new => resolved
2019-03-12 11:21 jghali Resolution open => fixed
2019-03-12 11:21 jghali Fixed in Version => 1.5.5.svn
2019-03-12 11:21 jghali Note Added: 0045992
2019-03-13 19:51 PeterBenedek Note Added: 0046002
2019-03-13 19:52 PeterBenedek Note Edited: 0046002 View Revisions
2019-06-04 20:55 cbradney Status resolved => closed